%define srcname characteristic

Name:           python-%{srcname}
Version:        14.3.0
Release:        %mkrel 2
Summary:        Python library that eases the chores of implementing attributes
Group:          Development/Python
License:        MIT
URL:            https://github.com/hynek/characteristic/
Source0:        https://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!


%package -n python3-%{srcname}
Summary:        Python library that eases the chores of implementing attributes
Group:          Development/Python

%description -n python3-%{srcname}
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!

%prep
%setup -q -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

cp -a . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{srcname}.py*
%{python2_sitelib}/test_characteristic.py*
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/test_%{srcname}.py
%{python3_sitelib}/__pycache__/%{srcname}.*.py[co]
%{python3_sitelib}/__pycache__/test_%{srcname}.*.py[co]
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 14.3.0-2.mga6
+ Revision: 971960
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 philippem <philippem> 14.3.0-1.mga6
+ Revision: 893681
- imported package python-characteristic

